com.google.gwt.uibinder.elementparsers

## Class FieldInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.FieldInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    class FieldInterpreter
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Generates fields to hold named dom elements (e.g. <div ui:field="importantDiv">)

### Constructor Summary

Constructors
Constructor and Description
`FieldInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer, java.lang.String ancestorExpression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldInterpreter

    public FieldInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                            java.lang.String ancestorExpression)

### Method Detail

#### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
Throws:
  `UnableToCompleteException` - on error